<?php
//Constant Contact Subscribe Box widget extend 

class cUs_CtCt_Widget extends WP_Widget {

	function cUs_CtCt_Widget() {
		$widget_ops = array( 
			'description' => __('Displays a Constant Contact Newsletter Subscribe Form by ContactUs.com', 'contactus_mc')
		);
		$this->WP_Widget('cUs_CtCt_Widget', __('Constant Contact Form by ContactUs', 'contactus_mc'), $widget_ops);
	}

	function widget( $args, $instance ) {
		if (!is_array($instance)) {
			$instance = array();
		}
		cUs_CtCt_signup_form(array_merge($args, $instance));
	}
};

function cUs_CtCt_signup_form($args = array()) {
    extract($args);
    $cUs_form_key = get_option('cUs_CtCt_settings_form_key'); //get the saved apikey
    
    if(strlen($cUs_form_key)):
        $xHTML  = '<aside id="cUs_CtCt_form_widget" style="clear:both;min-height:280px;margin:10px auto;">';
        $xHTML .= '<script type="text/javascript" src="//cdn.contactus.com/cdn/forms/'. $cUs_form_key .'/inline.js"></script>';
        $xHTML .= '</aside>';
        
        echo $xHTML;
    endif;
};  

?>
